summaryrefslogtreecommitdiffstats
path: root/ubuntu/maverick_automake/core/kdeutils/debian/ksim-kde3.preinst
diff options
context:
space:
mode:
authorSlávek Banko <slavek.banko@axis.cz>2020-11-15 18:10:52 +0100
committerSlávek Banko <slavek.banko@axis.cz>2020-11-15 18:10:52 +0100
commit830f9676b4568fdf5704bd94c856d97d4c35813d (patch)
treeb7eb9bd9ca4fdb4c97da7b013583c87ab8f6e671 /ubuntu/maverick_automake/core/kdeutils/debian/ksim-kde3.preinst
parent0bfe4e2db5faf194cbafe6c3fcb8f331dd32f8c5 (diff)
downloadtde-packaging-830f9676b4568fdf5704bd94c856d97d4c35813d.tar.gz
tde-packaging-830f9676b4568fdf5704bd94c856d97d4c35813d.zip
DEB: adjusted to new 'core' folder for main packages.
Signed-off-by: Slávek Banko <slavek.banko@axis.cz>
Diffstat (limited to 'ubuntu/maverick_automake/core/kdeutils/debian/ksim-kde3.preinst')
-rw-r--r--ubuntu/maverick_automake/core/kdeutils/debian/ksim-kde3.preinst44
1 files changed, 44 insertions, 0 deletions
diff --git a/ubuntu/maverick_automake/core/kdeutils/debian/ksim-kde3.preinst b/ubuntu/maverick_automake/core/kdeutils/debian/ksim-kde3.preinst
new file mode 100644
index 000000000..e35432d8e
--- /dev/null
+++ b/ubuntu/maverick_automake/core/kdeutils/debian/ksim-kde3.preinst
@@ -0,0 +1,44 @@
+#! /bin/sh
+# preinst script for ksim
+#
+# see: dh_installdeb(1)
+
+set -e
+
+# summary of how this script can be called:
+# * <new-preinst> `install'
+# * <new-preinst> `install' <old-version>
+# * <new-preinst> `upgrade' <old-version>
+# * <old-preinst> `abort-upgrade' <new-version>
+#
+# for details, see http://www.debian.org/doc/debian-policy/ or
+# the debian-policy package
+
+
+case "$1" in
+ install|upgrade)
+ if [ "$1" = "upgrade" ]
+ then
+ # Debian testing (Sarge) files
+ rm /etc/kde3/ksimrc > /dev/null 2>&1 || true
+ fi
+ ;;
+
+ abort-upgrade)
+
+ ;;
+
+ *)
+ echo "preinst called with unknown argument \`$1'" >&2
+ exit 1
+ ;;
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0
+
+